#include "QtGUI1.h"

QtGUI1::QtGUI1(QString file, QWidget *parent) :
    QMainWindow(parent)
{
    menuBar = new QMenuBar();
    this->setMenuBar(menuBar);

    /* create menus for menuBar */
    QAction *openAct = new QAction(tr("&Open File"), this);
    openAct->setShortcuts(QKeySequence::Open);
    openAct->setStatusTip(tr("Open A Existing File"));
    connect(openAct, &QAction::triggered, this, &QtGUI1::OpenFile);

    /* Adding actions to QMenu */
    fileMenu = menuBar->addMenu(tr("&File"));
    fileMenu->addAction(openAct);

    if(file != "") { filePath = file; LoadTitle(); }
}


void QtGUI1::OpenFile()
{
    filePath = QFileDialog::getOpenFileName(this, tr("Open g database"), "/usr/brlcad/share/db/", tr(""));
    LoadTitle();
}


void QtGUI1::LoadTitle()
{
    BRLCAD::ConstDatabase database;

    database.Load(filePath.toStdString().c_str());

    this->setWindowTitle(database.Title());
}


